<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\User;
use App\Models\Post;
use App\Models\Moderate;
use App\Models\Comment;

class UserController extends Controller
{
  // Переход по страницам
  public function all(){ return view('users.all', ['users' => User::orderBy("created_at", 'desc')->get()]); }
  public function single_user(Request $request){
    return view('users.single_user', ['user' => User::where('id', $request->id)->get()[0],
    'posts' => Post::where('user_id', $request->id)->with('user')->get()]);
  }

  // Взаимодействия со страницами
  function insert(Request $request) { // Добавить
    if ($request->input("name") != ""){
      $user = new User;
      $user->name = $request->input("name");
      if ($request->input("admin")) $user->role = "admin";
      else $user->role = "Null";
      $user->save();
    }
    return back();
  }

  function delete(Request $request) { // Удаление
    $comments = Comment::where('user_id', $request->id)->get();
    foreach ($comments as $comment) (new CommentController)->delete_by_id($comment->id);
    $posts = Post::where('user_id', $request->id)->get();
    foreach ($posts as $post) (new PostController)->delete_by_id($post->id);

    User::where('id', $request->id)->delete();
    return back();
  }
}
