<?php

namespace App\Listeners;

use App\Events\ModerateComment;
use App\Events\ModeratePost;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;

use App\Models\Moderate;

class ModerateListener {
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  Moderate  $event
     * @return void
     */
    public function handle($event) {
        $request = $event->request;

        $moderate = new Moderate;

        if ($event instanceof ModerateComment) {
          $moderate->user_id = $request->input("user");
          $moderate->post_type = "App\Models\Comment";
          $moderate->post_id = $request->input("id");
        }
        elseif ($event instanceof ModeratePost) {
          $moderate->user_id = $request->input("user");
          $moderate->post_type = "App\Models\Post";
          $moderate->post_id = $request->input("id");
        }
        $moderate->save();
    }
}
