<?php

namespace App\Listeners;

use App\Events\ValidateComment;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;

class ValidateCommentListener {
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  ValidateComment  $event
     * @return void
     */
    public function handle(ValidateComment $event) {
        $request = $event->request;
        $request->validate([ 'text' => 'required', 'user' => 'required' ], [ 'text.required' => 'Поле сообщения не может быть пустым', 'user.required' => 'Список пользователей пуст' ]);
    }
}
