<?php

namespace App\Listeners;

use App\Events\ValidatePost;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;

class ValidatePostListener {
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  ValidatePost  $event
     * @return void
     */
    public function handle(ValidatePost $event) {
        $request = $event->request;
        $request->validate([
          'text' => 'required', 'user' => 'required', 'date_publication' => 'after_or_equal:today'
        ], [ 'text.required' => 'Пост не может быть пустым', 'user.required' => 'Список пользователей пуст', 'date_publication.after_or_equal' => 'Нельзя опубликовать запись в прошлом' ]);
    }
}
