<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/test', [Controllers\TestController::class, 'index']);

// Пользователи
Route::get('/users', [Controllers\UserController::class, 'all']);
Route::get('/users/posts', [Controllers\UserController::class, 'single_user']);
Route::get('/users/insert', [Controllers\UserController::class, 'insert']);
Route::get('/users/delete', [Controllers\UserController::class, 'delete']);

// Игры
Route::get('/posts', [Controllers\PostController::class, 'all']);
Route::post('/posts/insert', [Controllers\PostController::class, 'insert']);
Route::get('/posts/update', [Controllers\PostController::class, 'view_update']);
Route::post('/posts/update', [Controllers\PostController::class, 'update']);
Route::get('/posts/delete', [Controllers\PostController::class, 'delete']);
Route::get('/posts/post', [Controllers\PostController::class, 'single_post']);

Route::post('/posts/post/comment', [Controllers\CommentController::class, 'insert']);
Route::get('/posts/comment/update', [Controllers\CommentController::class, 'view_update']);
Route::post('/posts/comment/update', [Controllers\CommentController::class, 'update']);
Route::get('/posts/comment/delete', [Controllers\CommentController::class, 'delete']);
